/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.service;

import java.io.Serializable;

/**
 * Listener for audit notifications.
 *
 * @author Mathieu Ancelin
 */
public class TopMethod implements Comparable<TopMethod>, Serializable {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = 2764630423981484405L;

    private String target;

    private String method;

    private long count;

    public TopMethod(final String target, final String method, final long count) {
        this.target = target;
        this.method = method;
        this.count = count;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(final String target) {
        this.target = target;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(final String method) {
        this.method = method;
    }

    public long getCount() {
        return count;
    }

    public void setCount(final long count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return "TopMethod{" + "target='" + target + '\'' + ", method='" + method + '\'' + ", count=" + count + '}';
    }

    public int compareTo(final TopMethod o) {
        TopMethod top = o;
        if (count < top.count) {
            return 1;
        }
        if (count > top.count) {
            return -1;
        }
        return 0;
    }
}
